## ros-rolling-rmf-visualization-navgraphs 2.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
project(rmf_visualization_navgraphs)

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

include(GNUInstallDirs)

set(dep_pkgs
  rclcpp
  rclcpp_components
  rmf_building_map_msgs
  rmf_fleet_msgs
  rmf_visualization_msgs
  visualization_msgs
  rmf_traffic
  rmf_traffic_ros2
  geometry_msgs
)
foreach(pkg ${dep_pkgs})
  find_package(${pkg} REQUIRED)
endforeach()


#===============================================================================
add_library(navgraph_visualizer SHARED src/NavGraphVisualizer.cpp)

ament_target_dependencies(navgraph_visualizer
  PUBLIC
    rclcpp
    rclcpp_components
    rmf_fleet_msgs
    rmf_building_map_msgs
    rmf_visualization_msgs
    visualization_msgs
    geometry_msgs
    rmf_traffic_ros2
)

target_include_directories(navgraph_visualizer
  PRIVATE
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
)

target_compile_features(navgraph_visualizer INTERFACE cxx_std_17)

rclcpp_components_register_node(navgraph_visualizer
  PLUGIN "NavGraphVisualizer"
  EXECUTABLE navgraph_visualizer_node)

#===============================================================================
if(BUILD_TESTING)
  find_package(ament_cmake_uncrustify REQUIRED)
  find_package(rmf_utils REQUIRED)
  find_file(uncrustify_config_file
    NAMES "rmf_code_style.cfg"
    PATHS "${rmf_utils_DIR}/../../../share/rmf_utils/")

  ament_uncrustify(
    ARGN src
    CONFIG_FILE ${uncrustify_config_file}
    MAX_LINE_LENGTH 80
  )

endif()

#===============================================================================
install(
  TARGETS navgraph_visualizer
  RUNTIME DESTINATION lib/rmf_visualization_navgraphs
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
)

ament_package()

=== debian/changelog ===
ros-rolling-rmf-visualization-navgraphs (2.2.1-1jammy) jammy; urgency=high

  * Improve linking times (#61 <https://github.com/open-rmf/rmf_visualization/pull/61>)
  * Contributors: Grey, Luca Della Vedova

 -- Yadunund <yadunund@openrobotics.com>  Sun, 27 Aug 2023 16:00:00 -0000

ros-rolling-rmf-visualization-navgraphs (2.2.0-1jammy) jammy; urgency=high



 -- Yadunund <yadunund@openrobotics.com>  Wed, 07 Jun 2023 16:00:00 -0000

ros-rolling-rmf-visualization-navgraphs (2.1.0-1jammy) jammy; urgency=high

  * Switch to rst changelogs (#57 <https://github.com/open-rmf/rmf_visualization/pull/57>)
  * Contributors: Yadunund

 -- Yadunund <yadunund@openrobotics.com>  Mon, 05 Jun 2023 16:00:00 -0000

ros-rolling-rmf-visualization-navgraphs (2.0.1-1jammy) jammy; urgency=high



 -- Yadunund <yadunund@openrobotics.com>  Mon, 14 Nov 2022 16:00:00 -0000

ros-rolling-rmf-visualization-navgraphs (2.0.0-1jammy) jammy; urgency=high

  * Provides a visualizer for navigation graphs used by fleets: (#44 <https://github.com/open-rmf/rmf_visualization/pull/44>)

 -- Yadunund <yadunund@openrobotics.com>  Sun, 02 Oct 2022 16:00:00 -0000

=== debian/control ===
Source: ros-rolling-rmf-visualization-navgraphs
Section: misc
Priority: optional
Maintainer: Yadunund <yadunund@openrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-geometry-msgs, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-rmf-building-map-msgs, ros-rolling-rmf-fleet-msgs, ros-rolling-rmf-traffic, ros-rolling-rmf-traffic-ros2, ros-rolling-rmf-utils <!nocheck>, ros-rolling-rmf-visualization-msgs, ros-rolling-visualization-msgs, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rmf-visualization-navgraphs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-geometry-msgs, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-rmf-building-map-msgs, ros-rolling-rmf-fleet-msgs, ros-rolling-rmf-traffic, ros-rolling-rmf-traffic-ros2, ros-rolling-rmf-visualization-msgs, ros-rolling-visualization-msgs, ros-rolling-ros-workspace
Description: A package to visualiize the navigation graphs of fleets

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-rmf-visualization-navgraphs//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install
